Bug 907863 - ipallocationpools remains after subnet deletion
ipallocationpools remains after subnet deletion
Status: CLOSED CURRENTRELEASE
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-quantum (Show other bugs)
2.0 (Folsom)
Unspecified Unspecified
unspecified Severity unspecified
: snapshot3
: 2.1
Assigned To: Gary Kotton
Ofer Blaut
: Rebase, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-05 07:39 EST by Gary Kotton
Modified: 2016-04-26 17:52 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-28 10:41:30 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1091946 None None None Never

  None (edit)
Description Gary Kotton 2013-02-05 07:39:10 EST
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 3 Ofer Blaut 2013-03-11 02:30:05 EDT
Verified 

openstack-quantum-2012.2.3-5.el6ost.noarch


mysql> select * from  ipallocationpools;
+--------------------------------------+--------------------------------------+--------------+---------------+
| id                                   | subnet_id                            | first_ip     | last_ip       |
+--------------------------------------+--------------------------------------+--------------+---------------+
| 8712b741-0b1a-4f07-b07c-d3e1321db877 | 0993298f-55bf-4e92-9571-71703cecf3f4 | 88.66.66.2   | 88.66.66.254  |
| 26ec9582-ef9b-4e51-965f-8c0c4b85a908 | 39741d8d-8c28-4b94-8194-3537c6b7fe1d | 10.35.180.20 | 10.35.180.150 |
| dc751c8f-ad6e-4104-a5b3-f98516ae8584 | 50ba5b1f-a0f8-4a58-8800-37ffc1db4841 | 10.0.0.2     | 10.0.0.254    |
+--------------------------------------+--------------------------------------+--------------+---------------+
3 rows in set (0.00 sec)

mysql> Ctrl-C -- exit!
Aborted
[root@puma34 ~(keystone_admin_tenant1)]$ quantum subnet-delete sub1
Deleted subnet: sub1
[root@puma34 ~(keystone_admin_tenant1)]$ 
[root@puma34 ~(keystone_admin_tenant1)]$ 
[root@puma34 ~(keystone_admin_tenant1)]$ 
[root@puma34 ~(keystone_admin_tenant1)]$ mysql -u root ovs_quantum -e "select * from ipallocationpools"
+--------------------------------------+--------------------------------------+--------------+---------------+
| id                                   | subnet_id                            | first_ip     | last_ip       |
+--------------------------------------+--------------------------------------+--------------+---------------+
| 8712b741-0b1a-4f07-b07c-d3e1321db877 | 0993298f-55bf-4e92-9571-71703cecf3f4 | 88.66.66.2   | 88.66.66.254  |
| 26ec9582-ef9b-4e51-965f-8c0c4b85a908 | 39741d8d-8c28-4b94-8194-3537c6b7fe1d | 10.35.180.20 | 10.35.180.150 |
+--------------------------------------+--------------------------------------+--------------+---------------+

Note You need to log in before you can comment on or make changes to this bug.